## inkscape 1.4

=== share/keys/CMakeLists.txt ===
# SPDX-License-Identifier: GPL-2.0-or-later
file(GLOB _FILES "*.xml")
install(FILES ${_FILES} DESTINATION ${INKSCAPE_SHARE_INSTALL}/keys)

# install a duplicate of inkscape.xml as default.xml
#   default.xml is the default keymap that will be used by inkscape after installation
#   replace this with a keymap of your own to override the Inkscape default shortcuts
install(FILES inkscape.xml
    DESTINATION ${INKSCAPE_SHARE_INSTALL}/keys
    RENAME default.xml)

=== src/object/algorithms/CMakeLists.txt ===
# SPDX-License-Identifier: GPL-2.0-or-later

set(object_algorithms_SRC
  graphlayout.cpp
  removeoverlap.cpp
  unclump.cpp

  # -------
  # Headers
  bboxsort.h
  graphlayout.h
  removeoverlap.h
  unclump.h
)

add_inkscape_source("${object_algorithms_SRC}")

=== src/3rdparty/libcroco/tests/CMakeLists.txt ===
set(testprogs
    test0
    test1
    test2
    test3
    test4
    test5
    test6
    test7
    test8
)

foreach(source ${testprogs})
    add_executable(${source} ${source}-main.c cr-test-utils.c cr-test-utils.h)

    target_include_directories(${source}
        PRIVATE
        ${CMAKE_SOURCE_DIR}/src
        ${CMAKE_BINARY_DIR}/src
        ${GLIB_INCLUDE_DIRS}
        ${LIBXML_INCLUDE_DIRS}
    )

    target_link_libraries(${source}
        croco_LIB
    )
endforeach()

if(1)
    # Run each test separately

    set(testscripts
        test-functional-notation.sh
        test-lots-of-comments.sh
        test-parsing-location.sh
        test-prop-ident.sh
        test-sel-child-class.sh
        test-several-media.sh
        test-unknown-at-rule2.sh
        test-unknown-at-rule.sh
    )

    add_test(NAME cleantest
        COMMAND ${CMAKE_SOURCE_DIR}/tests/testctl cleanup
        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
    )

    foreach(source ${testprogs} ${testscripts})
        add_test(NAME ${source}
            COMMAND ${CMAKE_SOURCE_DIR}/tests/testctl run --test-and-report ${source}
            WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
        )
        set_tests_properties(${source} PROPERTIES DEPENDS "cleantest")
    endforeach()
else()
    # Run all tests at once
    add_test(NAME all-tests
        COMMAND ${CMAKE_SOURCE_DIR}/tests/testctl run
        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
    )
endif()

get_property(test_names DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR} PROPERTY TESTS)
set_property(TEST ${test_names} PROPERTY ENVIRONMENT
    "TEST_OUT_DIR=${CMAKE_CURRENT_BINARY_DIR}"
    "TEST_SOURCE_DIR=${CMAKE_SOURCE_DIR}/tests"
    "TEST_INPUTS_DIR=${CMAKE_SOURCE_DIR}/tests/test-inputs"
    "CSSLINT=${CMAKE_BINARY_DIR}/csslint/csslint"
)

=== debian/changelog ===
inkscape (1.4-6) unstable; urgency=medium

  * Enable Build-Depends: lib2geom-dev for all architectures (Closes: #1089675)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 17 Mar 2025 13:14:34 -0400

inkscape (1.4-5) unstable; urgency=medium

  * Team upload
  * Fix the i386 build
  * Update patch metadata
  * Remove obsolete Python2 era patch

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 16 Mar 2025 21:52:41 -0400

inkscape (1.4-4) unstable; urgency=medium

  * Team upload
  * Cherry-pick patch to fix build with poppler 25.02 (Closes: #1093308)
  * Add patches to skip new tests failing on some architectures
    since these tests are new to the 1.3/1.4 series
  * Release to unstable (Closes: #1078862)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 16 Mar 2025 20:33:23 -0400

inkscape (1.4-3) experimental; urgency=medium

  * Team upload
  * Backport patches for building against poppler 25.01 (Closes: #1093308)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 22 Jan 2025 12:06:24 -0500

inkscape (1.4-2) experimental; urgency=medium

  * Team upload
  * Remove unused Build-Depends: libgdl-3-dev
  * Don't use ragel or lib2geom on i386

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 09 Dec 2024 11:27:02 -0500

inkscape (1.4-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 1.4.
  * Drop B-D libsoup2.4-dev. (Closes: #1073953)
  * Update patch for new version.

 -- Bastian Germann <bage@debian.org>  Sun, 24 Nov 2024 22:59:28 +0000

inkscape (1.3.2-1) experimental; urgency=medium

  * Team upload.

  [ Faidon Liambotis ]
  * New upstream version 1.3.2+ds.
    + https://inkscape.org/news/2023/11/18/big-small-release-inkscape-131-is-out/
    + https://wiki.inkscape.org/wiki/index.php/Release_notes/1.3.1
    + https://inkscape.org/news/2023/12/01/Inkscape-1-3-2-solves-data-loss-bug/
    + https://wiki.inkscape.org/wiki/index.php/Release_notes/1.3.2
  * Backport a patch from upstream to allow building with poppler >= 24.05.0.
  * Refresh all patches.

 -- Bastian Germann <bage@debian.org>  Sun, 24 Nov 2024 21:53:48 +0000

=== debian/control ===
Source: inkscape
Section: graphics
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Mattia Rizzolo <mattia@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 fonts-dejavu,
 dh-python,
 dh-sequence-python3,
 ninja-build,
 python3,
Build-Depends-Arch:
 imagemagick (>= 0) <!nocheck>,
 lib2geom-dev (>= 1.3),
 libaspell-dev,
 libboost-dev,
 libboost-filesystem-dev,
 libboost-stacktrace-dev,
 libcdr-dev,
 libdbus-1-dev,
 libdbus-glib-1-dev,
 libdouble-conversion-dev,
 libfontconfig-dev,
 libgc-dev (>= 1:6.8),
 libgmock-dev,
 libgsl-dev,
 libgspell-1-dev,
 libgtk-3-dev,
 libgtkmm-3.0-dev,
 libgtksourceview-4-dev,
 libgtkspell3-3-dev,
 libjemalloc-dev,
 liblcms2-dev,
 libmagick++-dev,
 libpango1.0-dev,
 libpng-dev,
 libpoppler-glib-dev,
 libpoppler-private-dev,
 libpotrace-dev,
 libreadline-dev,
 librevenge-dev,
 librsvg2-common,
 libsigc++-2.0-dev (>= 2.0.16-2),
 libtool,
 libvisio-dev,
 libwpg-dev (>= 0.3.0),
 libxml-parser-perl,
 libxml2-dev (>= 2-2.4.24),
 libxslt1-dev,
 pkgconf,
 python3-lxml <!nocheck>,
 ragel [!i386],
 zlib1g-dev,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://inkscape.org
Vcs-Git: https://salsa.debian.org/multimedia-team/inkscape.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/inkscape

Package: inkscape
Architecture: any
Depends:
 librsvg2-common [amd64 arm64 armhf i386 mips64el ppc64el riscv64 s390x loong64 powerpc ppc64 sparc64],
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends:
 aspell,
 fig2dev,
 imagemagick,
 libimage-magick-perl,
 librsvg2-common,
 libwmf-bin,
 python3-cssselect,
 python3-lxml,
 python3-numpy,
 python3-scour,
Suggests:
 dia,
 inkscape-tutorials,
 libsvg-perl,
 pstoedit,
 python3-packaging,
 python3-uniconvertor,
 ruby,
Breaks: inkscape-open-symbols (<= 1.2.1-1)
Replaces: inkscape-open-symbols (<= 1.2.1-1)
Description: vector-based drawing program
 Inkscape is an illustration editor which has everything needed to
 create professional-quality computer art. You can use it to make
 diagrams and illustrations, technical drawings, web graphics, clip art,
 icons and logos. A collection of hands-on tutorials show you how to
 combine lines, shapes and text of different types and styles to build
 up a picture.
 .
 A selection of powerful vector graphics editing tools comes as
 standard. There is excellent support for paths, gradients, layers,
 alpha transparency and text flow control. An extensive library of
 filters allow you to apply realistic effects and extensions allow you
 to work with bitmaps, barcodes and printing marks, amongst other things.
 .
 Most of the common vector formats are supported, including PDF, Adobe
 Illustrator and AutoCAD files, and it has unrivalled support for the
 SVG web graphics standard.
 .
 Between the suggested packages:
  * dia: to export Dia shapes;
  * libsvg-perl: to import .txt files (txt2svg extension);
  * python3-packaging: used by the Optimized SVG extension;
  * python3-uniconvertor: enables several import/export extensions;
  * pstoedit: to work with eps files;
  * ruby: there are several extensions written in ruby;

Package: inkscape-tutorials
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Recommends:
 inkscape,
Breaks:
 inkscape (<= 0.92.3-2~),
Replaces:
 inkscape (<= 0.92.3-2~),
Description: vector-based drawing program - tutorials
 Inkscape is an illustration editor which has everything needed to
 create professional-quality computer art. You can use it to make
 diagrams and illustrations, technical drawings, web graphics, clip art,
 icons and logos. A collection of hands-on tutorials show you how to
 combine lines, shapes and text of different types and styles to build
 up a picture.
 .
 This package contains the tutorials, accessible from the Help > Tutorials
 menu.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

PARALLEL_OPTION = $(filter parallel=%,$(DEB_BUILD_OPTIONS))
ifneq (,$(PARALLEL_OPTION))
	NUMJOBS = $(patsubst parallel=%,%,$(PARALLEL_OPTION))
else
	NUMJOBS = 1
endif

ifeq (${DEB_HOST_ARCH},i386)
export DEB_CFLAGS_MAINT_APPEND=-fexcess-precision=fast -ffloat-store
export DEB_CXXFLAGS_MAINT_APPEND=-fexcess-precision=fast -ffloat-store
endif

%:
	dh $@ --buildsystem cmake+ninja

override_dh_auto_configure-arch:
	dh_auto_configure -- \
		-DCMAKE_BUILD_TYPE=Release \
		-DWITH_DBUS=ON \
		$(if $(embed_2geom),-D2GEOM_BUILD_SHARED=OFF)

override_dh_auto_test-arch:
	cd obj-$(DEB_HOST_GNU_TYPE) && LC_ALL=C.UTF-8 ninja -j$(NUMJOBS) -v tests
	# some tests are not parallel-safe, since they try to look at the same file
	dh_auto_test -a --no-parallel

override_dh_auto_install-arch:
	# The tutorials are manually installed, the rest goes here
	dh_auto_install --destdir=debian/inkscape
	rm -rv debian/inkscape/usr/share/inkscape/tutorials

override_dh_auto_configure-indep: nothing
override_dh_auto_build-indep: nothing
override_dh_auto_install-indep: nothing
override_dh_auto_test-indep: nothing
.PHONY: nothing
nothing:
	: Do nothing for the -indep build

## inkscape 1.4.1+202503302257+93de688d07~ubuntu22.04.1+11.0trisquel2

=== debian/changelog ===
inkscape (1:1.4.1+202503302257+93de688d07~ubuntu22.04.1+11.0trisquel2) aramo-backports; urgency=medium

  * Backported from ppa

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 31 Mar 2025 00:49:58 +0000

inkscape (1:1.4.1+202503302257+93de688d07~ubuntu22.04.1) jammy; urgency=low

  * Auto build.

 -- Mc <marcjeanmougin@free.fr>  Sun, 30 Mar 2025 22:57:44 +0000

=== debian/control ===
Source: inkscape
Section: graphics
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
Uploaders: Ted Gould <ted@gould.cx>,
           Bryce Harrington <bryce@bryceharrington.org>,
           Marc Jeanmougin <marc.jeanmougin@telecom-paris.fr>
Build-Depends:
 aspell,
 bash-completion,
 gnome-pkg-tools,
 debhelper,
 dh-python,
 build-essential,
 cmake,
 intltool,
 pkg-config,
 python3-dev,
 libtool,
 software-properties-common,
 libart-2.0-dev,
 libaspell-dev,
 libgspell-1-dev,
 libblas3,
 liblapack3,
 libboost-dev,
 libboost-filesystem-dev,
 libboost-python-dev,
 libboost-stacktrace-dev,
 libcdr-dev,
 libdouble-conversion-dev,
 libgc-dev,
 libgdl-3-dev,
 libdbus-1-dev,
 libdbus-glib-1-dev,
 libglib2.0-dev,
 libgsl-dev,
 libgtest-dev,
 libgtk-3-dev,
 libgtkmm-3.0-dev,
 libgtksourceview-4-dev,
 libgtkspell3-3-dev,
 libhunspell-dev,
 libjemalloc-dev,
 liblcms2-dev,
 libmagick++-dev,
 libpango1.0-dev,
 libpng-dev,
 libpoppler-glib-dev,
 libpoppler-private-dev,
 libpotrace-dev,
 libreadline-dev,
 librevenge-dev,
 libsigc++-2.0-dev,
 libsoup2.4-dev,
 libvisio-dev,
 libwpg-dev,
 libxml-parser-perl,
 libxml2-dev,
 libxslt1-dev,
 pkg-config,
 python3-lxml,
 zlib1g-dev,
 google-mock,
 imagemagick,
 fonts-dejavu
Build-Conflicts:
 libpng12-dev
Standards-Version: 3.9.8
Homepage: https://inkscape.org/
Vcs-Browser: https://gitlab.com/inkscape/inkscape
Vcs-git: https://gitlab.com/inkscape/inkscape.git

Package: inkscape
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends:
 aspell,
 imagemagick,
 perlmagick,
 libwmf-bin,
 perlmagick,
 python3-lxml,
 python3-bs4,
 python3-cachecontrol,
 python3-numpy,
 python3-scour,
 python3-cssselect,
 python3-packaging,
 python3-pyparsing,
 python3-requests,
 python3-tinycss2,
 python3-filelock,
 python3-gi,
 python3-gi-cairo,
 python3-appdirs,
 python3-pil,
 python3-zstandard,
 gir1.2-gtk-3.0,
 adwaita-icon-theme-full
Suggests:
 dia | dia-gnome,
 ruby,
 libsvg-perl,
 libxml-xql-perl,
 transfig,
 python3-serial,
 pstoedit
Conflicts: inkscape-trunk, lib2geom1.1.0, lib2geom1.2.0, lib2geom1.3.0
Description: vector-based drawing program
 Inkscape is an illustration editor which has everything you need to create
 professional-quality computer art.  You can use it to make diagrams and 
 illustrations, technical drawings, web graphics, clip art, icons and logos.
 A collection of hands-on tutorials show you how to combine lines, shapes, and
 text of different styles to build up a picture.
 .
 A selection of powerful vector graphics editing tools comes as standard. There
 is excellent support for paths, gradients, layers, alpha transparency, and 
 text flow control. An extensive library of filters allows you to apply 
 realistic effects, and extensions allow you to work with bitmaps, barcodes 
 and printing marks, amongst other things.
 .
 Most of the common vector formats are supported, including PDF, Adobe 
 Illustrator and AutoCAD files, and it has unrivalled support for the SVG web 
 graphics standard.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules  for inkscape derived from a sample 
# provided by Joey Hess via dh_make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# Drop the --parallel flag as soon as we bump to compat 10
# We can do this once we drop support for Ubuntu Xenial and earlier
%:
	dh $@ \
		--buildsystem cmake \
		--parallel          \
		--with bash-completion,gnome

override_dh_gnome_clean:
	dh_gnome_clean --no-control

# No need for autoreconf in CMake builds
override_dh_autoreconf:


override_dh_auto_test:
	@# this is not run in parallel just because I'm too lazy to parse DEB_BUILD_OPTIONS
	# $(MAKE) -C obj-$(DEB_HOST_GNU_TYPE) tests
	# some tests are not parallel-safe, since they try to look at the same file
	# dh_auto_test -a --no-parallel
	echo "skip tests because gtest is bad on bionic. Uncomment the above in 2028."

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo

# Don't run scour, there is no need for it at all, and the defaults are not
# appropriate for Inkscape's SVGs
# https://bugs.launchpad.net/ubuntu/+source/inkscape/+bug/1638373
override_dh_scour:
override_dh_python3:
	dh_python3 --no-ext-rename

## inkscape 1.4.1+202503302257+93de688d07~ubuntu24.04.1trisquel2

=== debian/changelog ===
inkscape (1:1.4.1+202503302257+93de688d07~ubuntu24.04.1trisquel2) ecne-backports; urgency=medium

  * Backported from ppa

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 31 Mar 2025 00:50:18 +0000

inkscape (1:1.4.1+202503302257+93de688d07~ubuntu24.04.1) noble; urgency=low

  * Auto build.

 -- Mc <marcjeanmougin@free.fr>  Sun, 30 Mar 2025 22:57:35 +0000
